Package be.fgov.ehealth.rn.baselegaldata.v1

# Class BestIdentifierType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.BestIdentifierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class BestIdentifierType extends Object implements Serializable
Unique identificator of a BeSt object.

Java class for BestIdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BestIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Namespace" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BestIdentifierComponentType" minOccurs="0"/>
             <element name="ObjectIdentifier" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BestIdentifierComponentType" minOccurs="0"/>
             <element name="VersionIdentifier" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}BestIdentifierComponentType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BestIdentifierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getNamespace()`
  Identification of the object source.
  `String`
  `getObjectIdentifier()`
  Local identificator, assigned by the authentic source
  `String`
  `getVersionIdentifier()`
  Object version identication
  `void`
  `setNamespace(String value)`
  Sets the value of the namespace property.
  `void`
  `setObjectIdentifier(String value)`
  Sets the value of the objectIdentifier property.
  `void`
  `setVersionIdentifier(String value)`
  Sets the value of the versionIdentifier property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BestIdentifierType

    public BestIdentifierType()

- ## Method Details

  - ### getNamespace

    public String getNamespace()
    Identification of the object source.
    Returns:
      possible object is `String`

  - ### setNamespace

    public void setNamespace(String value)
    Sets the value of the namespace property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getNamespace()`

  - ### getObjectIdentifier

    public String getObjectIdentifier()
    Local identificator, assigned by the authentic source
    Returns:
      possible object is `String`

  - ### setObjectIdentifier

    public void setObjectIdentifier(String value)
    Sets the value of the objectIdentifier property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getObjectIdentifier()`

  - ### getVersionIdentifier

    public String getVersionIdentifier()
    Object version identication
    Returns:
      possible object is `String`

  - ### setVersionIdentifier

    public void setVersionIdentifier(String value)
    Sets the value of the versionIdentifier property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVersionIdentifier()`